USN-4549-1

See a problem?
Source
https://ubuntu.com/security/notices/USN-4549-1
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4549-1.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4549-1
Related
Published
2020-09-28T15:11:35.250725Z
Modified
2020-09-28T15:11:35.250725Z
Summary
imagemagick vulnerabilities
Details

It was discovered that ImageMagick incorrectly handled certain specially crafted image files. If a user or automated system using ImageMagick were tricked into opening a specially crafted image, an attacker could exploit this to cause a denial of service or other unspecified impact. (CVE-2019-19948, CVE-2019-19949)

References

Affected packages

Ubuntu:20.04:LTS / imagemagick

Package

Name
imagemagick

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
8:6.9.10.23+dfsg-2.1ubuntu11.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "imagemagick-common": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libimage-magick-q16-perl": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickwand-6.q16hdri-6": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libimage-magick-q16hdri-perl": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagick++-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "imagemagick-6-common": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libimage-magick-perl": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickwand-6.q16-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "imagemagick-6-doc": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickwand-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagick++-6.q16hdri-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickcore-6.q16-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "perlmagick": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickcore-6.q16hdri-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickwand-6-headers": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickcore-6-headers": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickcore-6.q16hdri-6-extra": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickcore-6.q16-6": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickwand-6.q16hdri-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagick++-6-headers": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickcore-6.q16hdri-6": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "imagemagick-doc": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickcore-6.q16-6-extra": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagick++-6.q16-8": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "imagemagick": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagick++-6.q16hdri-8": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickcore-6-arch-config": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "imagemagick-6.q16": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagick++-6.q16-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickwand-6.q16-6": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "imagemagick-6.q16hdri": "8:6.9.10.23+dfsg-2.1ubuntu11.1",
            "libmagickcore-dev": "8:6.9.10.23+dfsg-2.1ubuntu11.1"
        }
    ]
}